Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class JRTimezoneResultSetDataSource

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.util.JRTimezoneResultSetDataSource

All Implemented Interfaces:
  net.sf.jasperreports.engine.JRDataSource

    public class JRTimezoneResultSetDataSource

extends java.lang.Object
implements net.sf.jasperreports.engine.JRDataSource

Version:
  $Id
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Constructor Summary
`JRTimezoneResultSetDataSource(net.sf.jasperreports.engine.JRDataSource dataSource, java.util.TimeZone timezone)`

Method Summary
`java.lang.Object` | `getFieldValue(net.sf.jasperreports.engine.JRField field)`
`boolean` | `next()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRTimezoneResultSetDataSource

    public JRTimezoneResultSetDataSource(net.sf.jasperreports.engine.JRDataSource dataSource,
                                         java.util.TimeZone timezone)

Method Detail

### next

    public boolean next()
                 throws net.sf.jasperreports.engine.JRException

  Specified by:
    `next` in interface `net.sf.jasperreports.engine.JRDataSource`
  Throws:
    `net.sf.jasperreports.engine.JRException`

### getFieldValue

    public java.lang.Object getFieldValue(net.sf.jasperreports.engine.JRField field)
                                   throws net.sf.jasperreports.engine.JRException

  Specified by:
    `getFieldValue` in interface `net.sf.jasperreports.engine.JRDataSource`
  Throws:
    `net.sf.jasperreports.engine.JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.